SDL_GetSurfaceImages(3)

NAME
SDL_GetSurfaceImages - Get an array including all versions of a surface.

HEADER FILE
Defined in SDL3/SDL_surface.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_Surface ** SDL_GetSurfaceImages(SDL_Surface *surface, int *count);

DESCRIPTION
This returns all versions of a surface, with the surface being queried as the first element in the returned array.

Freeing the array of surfaces does not affect the surfaces in the array. They are still referenced by the surface being queried and will be cleaned up normally.

FUNCTION PARAMETERS

surface
    the SDL_Surface
     structure to query.

count
    a pointer filled in with the number of surface pointers returned, may be NULL.

RETURN VALUE
( SDL_Surface ) Returns a NULL terminated array of

SDL_Surface
 pointers or NULL on failure; call

SDL_GetError () for more information. This should be freed with SDL_free () when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AddSurfaceAlternateImage(3), •(3), SDL_RemoveSurfaceAlternateImages(3), •(3), SDL_SurfaceHasAlternateImages(3)